### A free/open-source library for quantitative finance

Classes
ql/pricingengines/vanilla/fddividendshoutengine.hpp File Reference

base class for shout engine with dividends More...

`#include <ql/instruments/dividendvanillaoption.hpp>`
`#include <ql/pricingengines/vanilla/fddividendengine.hpp>`
`#include <ql/pricingengines/vanilla/fdconditions.hpp>`
`#include <ql/methods/finitedifferences/shoutcondition.hpp>`
Include dependency graph for fddividendshoutengine.hpp:

## Classes

class | FDDividendShoutEngine< Scheme >
| Finite-differences shout engine with dividends. More...

## Detailed Description

base class for shout engine with dividends